<!-- Copyright 2015 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/cr_elements/shared_style_css.html">
<link rel="import" href="chrome://resources/cr_elements/cr_button/cr_button.html">
<link rel="import" href="chrome://resources/cr_elements/cr_input/cr_input.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/throbber_notice.html">

<!--
  SAML password confirmation UI for the Gaia flow.
  Contains two cards:
    1. Password input form.
    2. Spinner with notice "Please wait";
-->
<dom-module id="saml-confirm-password-element">
  <template>
    <style include="oobe-dialog-host">
    </style>
    <style include="cr-shared-style">
      #cancelConfirmDlg {
        --oobe-modal-dialog-content-slot-padding-bottom: 0;
        --oobe-modal-dialog-title-slot-padding-bottom: 0;
        --oobe-modal-dialog-width: 384px;
      }

      .cancel-button {
        margin-inline-end: 0;
        margin-inline-start: 8px;
      }
    </style>
    <oobe-dialog role="dialog" has-buttons for-step="password">
      <hd-iron-icon icon1x="oobe-32:lock" icon2x="oobe-64:lock"
         slot="oobe-icon">
      </hd-iron-icon>
      <h1 id="title" slot="title">[[email]]</h1>
      <div id="subtitle" slot="subtitle">
        [[subtitleText_(locale, isManualInput)]]
      </div>
      <div slot="footer" class="flex layout vertical oobe-form">
        <cr-input type="password" id="passwordInput" required
            class="focus-on-show oobe-input"
            placeholder="[[passwordPlaceholder_(locale, isManualInput)]]"
            error-message="[[passwordErrorText_(locale, isManualInput)]]">
        </cr-input>
        <cr-input type="password" id="confirmPasswordInput" required
            class="oobe-input"
            hidden="[[!isManualInput]]"
            placeholder="[[i18nDynamic(locale, 'confirmPasswordLabel')]]"
            error-message="[[i18nDynamic(locale, 'manualPasswordMismatch')]]">
        </cr-input>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="cancel" on-click="onCancel_" text-key="cancel"
            border>
        </oobe-text-button>
        <oobe-next-button id="next" on-click="submit_" inverse
            text-key="nextButtonText">
        </oobe-next-button>
      </div>
    </oobe-dialog>
    <oobe-dialog id="progress" role="dialog" no-header for-step="progress"
        no-footer-padding>
      <div slot="footer" class="flex layout vertical center center-justified">
        <throbber-notice text-key="gaiaLoading">
        </throbber-notice>
      </div>
    </oobe-dialog>

    <oobe-modal-dialog id="cancelConfirmDlg"
        on-close="onDialogOverlayClosed_">
      <div slot="title">
        [[i18nDynamic(locale, 'accountSetupCancelDialogTitle')]]
      </div>
      <div slot="buttons">
        <cr-button class="action-button" on-click="onCancelNo_">
          [[i18nDynamic(locale, 'accountSetupCancelDialogNo')]]
        </cr-button>
        <cr-button class="cancel-button" on-click="onCancelYes_">
          [[i18nDynamic(locale, 'accountSetupCancelDialogYes')]]
        </cr-button>
      </div>
    </oobe-modal-dialog>

  </template>
</dom-module>
